ZuploZuplo
LoginStart for Free
  • Documentation
  • API Reference
Information
Analytics
    Get recent requests for a given deployment in the last 24 hoursgetGet statistics on requests by status code for a given deploymentget
API Keys - Buckets
    Lists bucketsgetCreates a bucketpostGets a bucketgetDeletes a bucketdeleteUpdates a bucketpatch
API Keys - Consumers
    Lists consumersgetCreates a consumerpostGets a consumergetDeletes a consumerdeleteUpdates a consumerpatchRoll consumer keyspost
API Keys - Keys
    Lists keysgetCreates an API keypostCreates multiple API keyspostGets an API keygetDeletes an API keydeleteUpdates an API keypatch
API Keys - Managers
    Lists managersgetCreates a managerpostDeletes a managerdelete
Audit Logs
    Query audit logsget
Build Logs
    Get build logsget
Client mTLS CA Certificates
    List Client mTLS CA CertificatesgetCreate Client mTLS CA CertificatepostDelete Client mTLS CA CertificatedeleteUpdate Client mTLS CA Certificatepatch
Custom Domains
    Get Custom DomainsgetCreate Custom DomainpostDelete a Custom DomaindeleteUpdate a Custom Domainpatch
Deployments
    Gets a deployment statusgetLists deploymentsgetUpload deployment sourcepostGet a deploymentgetDeletes a deploymentdeleteRe-deploy a deploymentpost
Environments
    Query environmentsgetGet an environmentget
MCP Servers
    API MCP ServerpostDocs MCP Serverpost
Metering - Features
    List featuresgetCreate featurepostGet featuregetDelete featuredelete
Metering - Meters
    List metersgetCreate meterpostGet metergetUpdate meterputDelete meterdeleteList meter group by valuesgetQuery metergetQuery meterpost
Metering - Plans
    List plansgetCreate a planpostGet plangetUpdate a planputDelete plandeleteArchive plan versionpostPublish planpost
Projects
    Create projectpost
Runtime Logs
    List request logsgetGet request log detailget
Tunnel Services
    Gets a provisioning statusgetGets a service configurationgetConfigures tunnel servicesput
Tunnels
    Lists tunnelsgetCreates a tunnelpostGets a tunnelgetDeletes a tunneldeleteRotates the tokenpostGets a teardown statusget
Variables
    Creates a variablepostUpdates a variablepatch
Other endpoints
    OpenAPI SpecificationgetLists accountsgetLists projectsgetWho Am Iget
Schemas
powered by Zudoku
Zuplo Developer API
Zuplo Developer API

Client mTLS CA Certificates

Manage account-level client mTLS CA certificates


List Client mTLS CA Certificates

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/client-mtls-ca-certificates

Lists client mTLS CA certificates for an account.

List Client mTLS CA Certificates › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

List Client mTLS CA Certificates › Responses

The request has succeeded.

Zuplo.ClientMtlsCaCertificates.ClientMtlsCaCertificateListResponse
​Zuplo.ClientMtlsCaCertificates.ClientMtlsCaCertificate[] · required

List of client mTLS CA certificates.

offset
​integer · int32 · required

Offset for pagination.

limit
​integer · int32 · required

Limit for pagination.

GET/v1/accounts/{accountName}/client-mtls-ca-certificates
curl https://dev.zuplo.com/v1/accounts/:accountName/client-mtls-ca-certificates
Example Responses
{ "data": [ { "id": "cert_abc123", "name": "my_client_ca", "certificateInfo": { "subject": "CN=Example Client CA", "issuer": "CN=Example Root CA", "validFrom": "2024-01-01T00:00:00Z", "validTo": "2025-01-01T00:00:00Z", "serialNumber": "12345" }, "createdOn": "2023-04-18T05:54:34.408Z", "updatedOn": "2023-04-20T05:54:34.408Z" } ], "offset": 0, "limit": 0 }
json
application/json

Create Client mTLS CA Certificate

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/client-mtls-ca-certificates

Creates a client mTLS CA certificate for an account.

Create Client mTLS CA Certificate › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Create Client mTLS CA Certificate › Request Body

Zuplo.ClientMtlsCaCertificates.ClientMtlsCaCertificateCreateBody
name
​string · minLength: 1 · maxLength: 120 · required

The name of the client mTLS CA certificate.

Example: my_client_ca
certificate
​string · minLength: 1 · required

The PEM-encoded CA certificate.

Create Client mTLS CA Certificate › Responses

The request has succeeded and a new resource has been created as a result.

A client mTLS CA certificate configured for an account.
Zuplo.ClientMtlsCaCertificates.ClientMtlsCaCertificate
id
​string · readOnly · required

The unique identifier for the client mTLS CA certificate.

Example: cert_abc123
name
​string · minLength: 1 · maxLength: 120 · required

The name of the client mTLS CA certificate.

Example: my_client_ca
​object · required

Certificate information.

createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
POST/v1/accounts/{accountName}/client-mtls-ca-certificates
curl https://dev.zuplo.com/v1/accounts/:accountName/client-mtls-ca-certificates \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "name": "my_client_ca", "certificate": "certificate" }'
Example Request Body
{ "name": "my_client_ca", "certificate": "certificate" }
json
Example Responses
{ "id": "cert_abc123", "name": "my_client_ca", "certificateInfo": { "subject": "CN=Example Client CA", "issuer": "CN=Example Root CA", "validFrom": "2024-01-01T00:00:00Z", "validTo": "2025-01-01T00:00:00Z", "serialNumber": "12345" }, "createdOn": "2023-04-18T05:54:34.408Z", "updatedOn": "2023-04-20T05:54:34.408Z" }
json
application/json

Delete Client mTLS CA Certificate

DELETE
https://dev.zuplo.com
/v1/accounts/{accountName}/client-mtls-ca-certificates/{id}

Deletes a client mTLS CA certificate.

Delete Client mTLS CA Certificate › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

id
​string · required

The ID of the client mTLS CA certificate.

Delete Client mTLS CA Certificate › Responses

There is no content to send for this request, but the headers may be useful.

No data returned
DELETE/v1/accounts/{accountName}/client-mtls-ca-certificates/{id}
curl https://dev.zuplo.com/v1/accounts/:accountName/client-mtls-ca-certificates/:id \ --request DELETE
Example Responses
No example specified for this content type

Update Client mTLS CA Certificate

PATCH
https://dev.zuplo.com
/v1/accounts/{accountName}/client-mtls-ca-certificates/{id}

Updates a client mTLS CA certificate.

Update Client mTLS CA Certificate › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

id
​string · required

The ID of the client mTLS CA certificate.

Update Client mTLS CA Certificate › Request Body

Zuplo.ClientMtlsCaCertificates.ClientMtlsCaCertificateUpdateBody
name
​string · minLength: 1 · maxLength: 120 · required

The name of the client mTLS CA certificate.

Example: my_client_ca

Update Client mTLS CA Certificate › Responses

The request has succeeded.

A client mTLS CA certificate configured for an account.
Zuplo.ClientMtlsCaCertificates.ClientMtlsCaCertificate
id
​string · readOnly · required

The unique identifier for the client mTLS CA certificate.

Example: cert_abc123
name
​string · minLength: 1 · maxLength: 120 · required

The name of the client mTLS CA certificate.

Example: my_client_ca
​object · required

Certificate information.

createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
PATCH/v1/accounts/{accountName}/client-mtls-ca-certificates/{id}
curl https://dev.zuplo.com/v1/accounts/:accountName/client-mtls-ca-certificates/:id \ --request PATCH \ --header 'Content-Type: application/json' \ --data '{ "name": "my_client_ca" }'
Example Request Body
{ "name": "my_client_ca" }
json
Example Responses
{ "id": "cert_abc123", "name": "my_client_ca", "certificateInfo": { "subject": "CN=Example Client CA", "issuer": "CN=Example Root CA", "validFrom": "2024-01-01T00:00:00Z", "validTo": "2025-01-01T00:00:00Z", "serialNumber": "12345" }, "createdOn": "2023-04-18T05:54:34.408Z", "updatedOn": "2023-04-20T05:54:34.408Z" }
json
application/json

Build LogsCustom Domains